package require txmbox

set txmbox::TxMessageBox(Button.relief)		    groove
set txmbox::TxMessageBox(Button.fg)		        white
set txmbox::TxMessageBox(Button.bg)		        #006DB3
set txmbox::TxMessageBox(Button.activebg)	    #A2DBA6
set txmbox::TxMessageBox(Button.hlwidth)	    0
set txmbox::TxMessageBox(FontSize)				9

button .exit -text "EXIT" -command {exit}
pack .exit

set message "This is a test of the txmbox messageBox widget. It's much nicer than the standard tk_messageBox.\n\n"

set addedText "I will now programmatically press the Ok button and the dialog will vanish!"

set w [ txmbox::messageBox	-message $message \
				-icon warning \
				-buttons pressThem \
				-height 4 \
				-width 50 \
				-timeout 20 \
				-font {verdana 10 normal roman} \
				-showtime true \
				-wait false ]
				
after 5000 {txmbox::addToMsgBox $txmbox::TxMessageBox(LastName) $addedText blue #e0f000}

after 15000 {eval [lindex $pressThem 0]}

after 16000 {txmbox::messageBox	-message "The button that was pressed was: $txmbox::TxMessageBox(Button.$w)\n\nIs that acceptable?" \
				-icon question \
				-title "Button Info" \
				-type yesno }

